PHP Manual
Prev |  | Next

# date_sunset

(PHP 5)

date_sunset -- Returns time of sunset for a given day and location

## Description

mixed date_sunset ( int timestamp [, int format [, float latitude [, float longitude [, float zenith [, float gmt_offset]]]]] )

date_sunset() returns the sunset time for a given day (specified as a timestamp) and location.

## Parameters

timestamp

  The timestamp of the day from which the sunset time is taken.

format

  Table 1. format constants

  constant | description | example
  --- | --- | ---
  SUNFUNCS_RET_STRING | returns the result as string | 16:46
  SUNFUNCS_RET_DOUBLE | returns the result as float | 16.78243132
  SUNFUNCS_RET_TIMESTAMP | returns the result as integer (timestamp) | 1095034606

latitude

  Defaults to North, pass in a negative value for South. See also: date.default_latitude

longitude

  Defaults to East, pass in a negative value for West. See also: date.default_longitude

zenith

  Default: date.sunrise_zenith

gmtoffset

  Specified in hours.

## Errors/Exceptions

Every call to a date/time function will generate a `E_NOTICE` if the time zone is not valid, and/or a `E_STRICT` message if using the system settings or the TZ environment variable. See also date_default_timezone_set()

## ChangeLog

Version | Description
--- | ---
5.1.0 | Now issues the `E_STRICT` and `E_NOTICE` time zone errors.

## Return Values

Returns the sunset time in a specified format on success, or `FALSE` on failure.

## Examples

Example 1. date_sunset() example

`<?php /* calculate the sunset time for Lisbon, Portugal Latitude: 38.4 North Longitude: 9 West Zenith ~= 90 offset: +1 GMT */ echo date("D M d Y"). ', sunset time : ' .date_sunset(time(), SUNFUNCS_RET_STRING, 38.4, -9, 90, 1); ?>`

The above example will output something similar to:

    Mon Dec 20 2004, sunset time : 18:13

## See Also

date_sunrise()

Prev | Home | Next
date_sunrise | Up | date